Restore Web Session
curl --request POST \
--url http://127.0.0.1:3333/v3/sessions/{sessionId}/restore \
--header 'Content-Type: application/json' \
--data '
{
"botId": "<string>",
"restoreToken": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/sessions/{sessionId}/restore"
payload = {
"botId": "<string>",
"restoreToken": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({botId: '<string>', restoreToken: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/sessions/{sessionId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sessionId": "<string>",
"botId": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"sessionStatus": "OPEN",
"resultId": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "invalid_capability",
"redirectUrl": "<string>"
}{
"message": "<string>",
"code": "invalid_capability",
"redirectUrl": "<string>"
}{
"message": "<string>",
"code": "invalid_capability",
"redirectUrl": "<string>"
}{
"message": "<string>",
"code": "invalid_capability",
"redirectUrl": "<string>"
}{
"message": "<string>"
}Chat API
Restore Web Session
Validate and restore a persisted Web Chat session.
POST
/
v3
/
sessions
/
{sessionId}
/
restore
Restore Web Session
curl --request POST \
--url http://127.0.0.1:3333/v3/sessions/{sessionId}/restore \
--header 'Content-Type: application/json' \
--data '
{
"botId": "<string>",
"restoreToken": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/sessions/{sessionId}/restore"
payload = {
"botId": "<string>",
"restoreToken": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({botId: '<string>', restoreToken: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/sessions/{sessionId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sessionId": "<string>",
"botId": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"sessionStatus": "OPEN",
"resultId": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "invalid_capability",
"redirectUrl": "<string>"
}{
"message": "<string>",
"code": "invalid_capability",
"redirectUrl": "<string>"
}{
"message": "<string>",
"code": "invalid_capability",
"redirectUrl": "<string>"
}{
"message": "<string>",
"code": "invalid_capability",
"redirectUrl": "<string>"
}{
"message": "<string>"
}Path Parameters
Required string length:
1 - 128Body
application/json